#!/bin/sh

. install2-init-functions

{

[ -x $destdir/bin/systemctl ] || exit 1

NM_CONTROLLED=''
SYSTEMD_CONTROLLED=''
RESOLVCONF=${destdir}/etc/resolv.conf

for i in ${destdir}/etc/net/ifaces/*; do
	grep -q "^NM_CONTROLLED=yes" "${i}/options" 2>/dev/null && NM_CONTROLLED='yes'
	grep -q "^SYSTEMD_CONTROLLED=yes" "${i}/options" 2>/dev/null && SYSTEMD_CONTROLLED='yes'
done

if [ "$SYSTEMD_CONTROLLED" = 'yes' -a -f "$RESOLVCONF" -a ! -s "$RESOLVCONF" ] ; then
#					^ If /etc/resolv.conf is empty...
	ln -sf /run/systemd/resolve/stub-resolv.conf "$RESOLVCONF"
fi

[ -z "$NM_CONTROLLED" ] && chroot $destdir systemctl disable NetworkManager.service

if [ -z "$SYSTEMD_CONTROLLED" ] ; then
	chroot $destdir systemctl disable systemd-networkd.service
	chroot $destdir systemctl disable systemd-resolved.service
fi

} >> /tmp/install2.log 2>&1

:
